import * as $dara from '@darabonba/typescript';
import { ListImageRegistryExtraResponseBody } from "./ListImageRegistryExtraResponseBody";
export declare class ListImageRegistryExtraResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ListImageRegistryExtraResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
